KDateTimeWidget Class Reference

`#include <kdatetimewidget.h>`

Inherits QWidget.

## Public Slots

void | setDateTime (const QDateTime &datetime)

## Signals

void | valueChanged (const QDateTime &datetime)

## Public Member Functions

| KDateTimeWidget (QWidget *parent=0, const char *name=0)
| KDateTimeWidget (const QDateTime &datetime, QWidget *parent=0, const char *name=0)
virtual | ~KDateTimeWidget ()
QDateTime | dateTime () const

## Properties

QDateTime | dateTime

## Detailed Description

A combination of a date and a time selection widget.

This widget can be used to display or allow user selection of date and time.

See also
  KDateWidget

KDE Date Time Widget

Author
  Hans Petter Bieker bieke.nosp@m.r@kd.nosp@m.e.org

Version

Id
  kdatetimewidget.h 465272 2005-09-29 09:47:40Z mueller

Since
  3.2

Definition at line 40 of file kdatetimewidget.h.

## Constructor & Destructor Documentation

KDateTimeWidget::KDateTimeWidget | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a date and time selection widget.

Definition at line 17 of file kdatetimewidget.cpp.

KDateTimeWidget::KDateTimeWidget | ( | const QDateTime & | datetime,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a date and time selection widget with the initial date and time set to `datetime`.

Definition at line 23 of file kdatetimewidget.cpp.

KDateTimeWidget::~KDateTimeWidget | ( |  | ) |

virtual

Destructs the date and time selection widget.

Definition at line 32 of file kdatetimewidget.cpp.

## Member Function Documentation

QDateTime KDateTimeWidget::dateTime | ( |  | ) | const

Returns the currently selected date and time.

void KDateTimeWidget::setDateTime | ( | const QDateTime & | datetime | ) |

slot

Changes the selected date and time to `datetime`.

Definition at line 53 of file kdatetimewidget.cpp.

void KDateTimeWidget::valueChanged | ( | const QDateTime & | datetime | ) |

signal

Emitted whenever the date or time of the widget is changed, either with setDateTime() or via user selection.

The documentation for this class was generated from the following files:

- kdatetimewidget.h
- kdatetimewidget.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys